## nm-types nm-types |

## Synopsis

    #define             NM_TYPE_SSID
    GType               nm_ssid_get_type                    (void);
    #define             NM_TYPE_UINT_ARRAY
    GType               nm_uint_array_get_type              (void);
    #define             NM_TYPE_STRING_ARRAY
    GType               nm_string_array_get_type            (void);
    #define             NM_TYPE_OBJECT_ARRAY
    GType               nm_object_array_get_type            (void);
    #define             NM_TYPE_IP6_ADDRESS_OBJECT_ARRAY
    GType               nm_ip6_address_object_array_get_type
                                                            (void);
    #define             NM_TYPE_IP6_ADDRESS_ARRAY
    GType               nm_ip6_address_array_get_type       (void);
    #define             NM_TYPE_IP6_ROUTE_OBJECT_ARRAY
    GType               nm_ip6_route_object_array_get_type  (void);

## Description

## Details

### NM_TYPE_SSID

    #define NM_TYPE_SSID  (nm_ssid_get_type ())

### nm_ssid_get_type ()

    GType               nm_ssid_get_type                    (void);

Returns : |

### NM_TYPE_UINT_ARRAY

    #define NM_TYPE_UINT_ARRAY  (nm_uint_array_get_type ())

### nm_uint_array_get_type ()

    GType               nm_uint_array_get_type              (void);

Returns : |

### NM_TYPE_STRING_ARRAY

    #define NM_TYPE_STRING_ARRAY  (nm_string_array_get_type ())

### nm_string_array_get_type ()

    GType               nm_string_array_get_type            (void);

Returns : |

### NM_TYPE_OBJECT_ARRAY

    #define NM_TYPE_OBJECT_ARRAY  (nm_object_array_get_type ())

### nm_object_array_get_type ()

    GType               nm_object_array_get_type            (void);

Returns : |

### NM_TYPE_IP6_ADDRESS_OBJECT_ARRAY

    #define NM_TYPE_IP6_ADDRESS_OBJECT_ARRAY  (nm_ip6_address_object_array_get_type ())

### nm_ip6_address_object_array_get_type ()

    GType               nm_ip6_address_object_array_get_type
                                                            (void);

Returns : |

### NM_TYPE_IP6_ADDRESS_ARRAY

    #define NM_TYPE_IP6_ADDRESS_ARRAY  (nm_ip6_address_array_get_type ())

### nm_ip6_address_array_get_type ()

    GType               nm_ip6_address_array_get_type       (void);

Returns : |

### NM_TYPE_IP6_ROUTE_OBJECT_ARRAY

    #define NM_TYPE_IP6_ROUTE_OBJECT_ARRAY  (nm_ip6_route_object_array_get_type ())

### nm_ip6_route_object_array_get_type ()

    GType               nm_ip6_route_object_array_get_type  (void);

Returns : |